posix_setsid
posix_strerror
POSIX Functions
PHP Manual

# posix_setuid

(PHP 4, PHP 5)

posix_setuid — Set the UID of the current process

### Description

bool posix_setuid ( int `$uid` )

Set the real user ID of the current process. This is a privileged function that needs appropriate privileges (usually root) on the system to be able to perform this function.

### Parameters

`uid`

  The user id.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 posix_setuid() example

This example will show the current user id and then set it to a different value.

`<?php
echo posix_getuid()."\n"; //10001
echo posix_geteuid()."\n"; //10001
posix_setuid(10000);
echo posix_getuid()."\n"; //10000
echo posix_geteuid()."\n"; //10000
?>`

### See Also

- posix_setgid() - Set the GID of the current process
- posix_seteuid() - Set the effective UID of the current process
- posix_getuid() - Return the real user ID of the current process
- posix_geteuid() - Return the effective user ID of the current process

posix_setsid
posix_strerror
POSIX Functions
PHP Manual